package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopMgLabel;
import edu.travel.commodity.serviceImpl.ShopMgLabelService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品评论表(shop_mg_label)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_mg_label")
public class ShopMgLabelController {
/**
* 服务对象
*/
    @Autowired
    private ShopMgLabelService shopMgLabelService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopMgLabel selectOne(Integer id) {
    return shopMgLabelService.selectByPrimaryKey(id);
    }

}
