package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.serviceImpl.ShopProductService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品表(shop_product)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_product")
public class ShopProductController {
/**
* 服务对象
*/
    @Autowired
    private ShopProductService shopProductService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopProduct selectOne(Integer id) {
    return shopProductService.selectByPrimaryKey(id);
    }

}
