package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopProductSku;
import edu.travel.commodity.serviceImpl.ShopProductSkuService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品SKU表(shop_product_sku)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_product_sku")
public class ShopProductSkuController {
/**
* 服务对象
*/
    @Autowired
    private ShopProductSkuService shopProductSkuService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopProductSku selectOne(Integer id) {
    return shopProductSkuService.selectByPrimaryKey(id);
    }

}
