package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopSpec;
import edu.travel.commodity.serviceImpl.ShopSpecService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 规格表(shop_spec)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_spec")
public class ShopSpecController {
/**
* 服务对象
*/
    @Autowired
    private ShopSpecService shopSpecService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopSpec selectOne(Integer id) {
    return shopSpecService.selectByPrimaryKey(id);
    }

}
