package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopAddress;
import edu.travel.commodity.serviceImpl.ShopAddressService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 地址表(shop_address)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_address")
public class ShopAddressController {
/**
* 服务对象
*/
    @Autowired
    private ShopAddressService shopAddressService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopAddress selectOne(Integer id) {
    return shopAddressService.selectByPrimaryKey(id);
    }

}
