package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopCategory;
import edu.travel.commodity.serviceImpl.ShopCategoryService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品类型(shop_category)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_category")
public class ShopCategoryController {
/**
* 服务对象
*/
    @Autowired
    private ShopCategoryService shopCategoryService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopCategory selectOne(Integer id) {
    return shopCategoryService.selectByPrimaryKey(id);
    }

}
