package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopCountryCurrency;
import edu.travel.commodity.serviceImpl.ShopCountryCurrencyService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 国家支持的货币(shop_country_currency)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_country_currency")
public class ShopCountryCurrencyController {
/**
* 服务对象
*/
    @Autowired
    private ShopCountryCurrencyService shopCountryCurrencyService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopCountryCurrency selectOne(Integer id) {
    return shopCountryCurrencyService.selectByPrimaryKey(id);
    }

}
