package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopCurrency;
import edu.travel.commodity.serviceImpl.ShopCurrencyService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 货币表(shop_currency)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_currency")
public class ShopCurrencyController {
/**
* 服务对象
*/
    @Autowired
    private ShopCurrencyService shopCurrencyService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopCurrency selectOne(Integer id) {
    return shopCurrencyService.selectByPrimaryKey(id);
    }

}
