package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopParameters;
import edu.travel.commodity.serviceImpl.ShopParametersService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品参数(shop_parameters)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_parameters")
public class ShopParametersController {
/**
* 服务对象
*/
    @Autowired
    private ShopParametersService shopParametersService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopParameters selectOne(Integer id) {
    return shopParametersService.selectByPrimaryKey(id);
    }

}
