package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopProductParameters;
import edu.travel.commodity.serviceImpl.ShopProductParametersService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品参数值(shop_product_parameters)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_product_parameters")
public class ShopProductParametersController {
/**
* 服务对象
*/
    @Autowired
    private ShopProductParametersService shopProductParametersService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopProductParameters selectOne(Integer id) {
    return shopProductParametersService.selectByPrimaryKey(id);
    }

}
