package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopReview;
import edu.travel.commodity.serviceImpl.ShopReviewService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 商品评论表(shop_review)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_review")
public class ShopReviewController {
/**
* 服务对象
*/
    @Autowired
    private ShopReviewService shopReviewService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopReview selectOne(Integer id) {
    return shopReviewService.selectByPrimaryKey(id);
    }

}
