package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopSearchRecords;
import edu.travel.commodity.serviceImpl.ShopSearchRecordsService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 列表搜索记录表(shop_search_records)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_search_records")
public class ShopSearchRecordsController {
/**
* 服务对象
*/
    @Autowired
    private ShopSearchRecordsService shopSearchRecordsService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopSearchRecords selectOne(Integer id) {
    return shopSearchRecordsService.selectByPrimaryKey(id);
    }

}
