package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopShoppingCart;
import edu.travel.commodity.serviceImpl.ShopShoppingCartService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 购物车表(shop_shopping_cart)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_shopping_cart")
public class ShopShoppingCartController {
/**
* 服务对象
*/
    @Autowired
    private ShopShoppingCartService shopShoppingCartService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopShoppingCart selectOne(Integer id) {
    return shopShoppingCartService.selectByPrimaryKey(id);
    }

}
