package edu.travel.commodity.web;
import edu.travel.commodity.entity.ShopSkuSpecValue;
import edu.travel.commodity.serviceImpl.ShopSkuSpecValueService;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* SKU规格值关联表(shop_sku_spec_value)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_sku_spec_value")
public class ShopSkuSpecValueController {
/**
* 服务对象
*/
    @Autowired
    private ShopSkuSpecValueService shopSkuSpecValueService;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public ShopSkuSpecValue selectOne(Integer id) {
    return shopSkuSpecValueService.selectByPrimaryKey(id);
    }

}
